Messages
{
"method": "subscribe",
"topic": "solana.dex.profiles.wallet",
"params": {
"wallets": [
"CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
]
}
}{
"method": "unsubscribe",
"topic": "solana.dex.profiles.wallet",
"params": {
"wallets": [
"CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
]
}
}{
"method": "subscribe",
"topic": "solana.dex.profiles.token",
"params": {
"tokens": [
"J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
]
}
}{
"method": "unsubscribe",
"topic": "solana.dex.profiles.token",
"params": {
"tokens": [
"J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
]
}
}{
"method": "subscribe",
"topic": "solana.dex.profiles.position",
"params": {
"positions": [
"3zVYV9HJA5ihECwsYmRmxidT3jcsKAWx4rutPGRidDJY"
]
}
}{
"method": "unsubscribe",
"topic": "solana.dex.profiles.position",
"params": {
"positions": [
"3zVYV9HJA5ihECwsYmRmxidT3jcsKAWx4rutPGRidDJY"
]
}
}{
"topic": "solana.dex.profiles.wallet",
"data": {
"wallet_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
}
}{
"topic": "solana.dex.profiles.token",
"data": {
"token_address": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
}
}{
"topic": "solana.dex.profiles.position",
"data": {
"position_address": "3zVYV9HJA5ihECwsYmRmxidT3jcsKAWx4rutPGRidDJY",
"wallet_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"token_address": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
}
}Profiles
Subscribe Profiles
Subscribe to real-time wallet, token and position profiles updates.
WSS
/
v1
/
ws
To keep the connection alive, you need to send a ping message every less than 60 seconds.
topic field that you can use to filter the type of message.
When subscribing, you can leave any of the array fields of the
params object empty to subscribe to all entries for that field.When unsubscribing, you can leave the
topics array empty to unsubscribe from all topics.Messages
{
"method": "subscribe",
"topic": "solana.dex.profiles.wallet",
"params": {
"wallets": [
"CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
]
}
}{
"method": "unsubscribe",
"topic": "solana.dex.profiles.wallet",
"params": {
"wallets": [
"CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
]
}
}{
"method": "subscribe",
"topic": "solana.dex.profiles.token",
"params": {
"tokens": [
"J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
]
}
}{
"method": "unsubscribe",
"topic": "solana.dex.profiles.token",
"params": {
"tokens": [
"J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
]
}
}{
"method": "subscribe",
"topic": "solana.dex.profiles.position",
"params": {
"positions": [
"3zVYV9HJA5ihECwsYmRmxidT3jcsKAWx4rutPGRidDJY"
]
}
}{
"method": "unsubscribe",
"topic": "solana.dex.profiles.position",
"params": {
"positions": [
"3zVYV9HJA5ihECwsYmRmxidT3jcsKAWx4rutPGRidDJY"
]
}
}{
"topic": "solana.dex.profiles.wallet",
"data": {
"wallet_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
}
}{
"topic": "solana.dex.profiles.token",
"data": {
"token_address": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
}
}{
"topic": "solana.dex.profiles.position",
"data": {
"position_address": "3zVYV9HJA5ihECwsYmRmxidT3jcsKAWx4rutPGRidDJY",
"wallet_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"token_address": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
}
}x-api-key
type:httpApiKey
Your Prism API key. You can get one for free in the Prism Dashboard.
You must include it in the x-api-key query parameter.
Subscribe Wallets
type:object
Subscribe to profile updates for a list of wallets.
Unsubscribe Wallets
type:object
Unsubscribe from profile updates for a list of wallets.
Subscribe Tokens
type:object
Subscribe to profile updates for a list of tokens.
Unsubscribe Tokens
type:object
Unsubscribe from profile updates for a list of tokens.
Subscribe Positions
type:object
Subscribe to profile updates for a list of positions.
Unsubscribe Positions
type:object
Unsubscribe from profile updates for a list of positions.
Wallet Profile Message
type:object
Message containing the profile data for the subscribed wallets.
Token Profile Message
type:object
Message containing the profile data for the subscribed tokens.
Position Profile Message
type:object
Message containing the profile data for the subscribed positions.
Was this page helpful?
⌘I